# Domene.shop DNS hosting client 

This package contains a client for the [Domeneshop Api](https://api.domeneshop.no/docs/)

use this package if in environment without depdendency injection, such as a console application. Otherwise, prefer the
[AspNetCore package](aspnetcore.md) instead.

```csharp
// instatiate options holding your client id and secret 
var options = new DomeneshopOptions 
{ 
	ClientId = "<your domeneshop client id>",
	ClientSecret = "<your domeneshop client secret>"
};

// create the client, be sure to dispose it after
using var client = new DomeneshopClient(options);

// do something with the client
var domains = await client.GetDomainsAsync();
var record  = new DnsRecord
{
	Type = DnsRecordType.A,
	Host = "localhost",
	Value = "127.0.0.1"
};

await client.EnsureDnsRecordAsync(domains[0].Id, record);

```